Innehåll

# Timer Function

Returnerar ett värde som anger antalet sekunder sedan midnatt.

Du måste först deklarera en variabel med datatypen Long och tilldela den returvärdet från Timer. Annars returneras ett värde av typen Date.

### Syntax:

      Timer

### Returnerat värde:

Datum

### Exempel:

      Sub ExampleTimer
          Dim lSec As Long,lMin As Long,lHour As Long
          lSec = Timer
          MsgBox lSec, 0, "Seconds since midnight"
          lMin = Int(lSec / 60)
          lSec = lSec Mod 60
          lHour = Int(lMin / 60)
          lMin = lMin Mod 60
        MsgBox Format(lHour,"00") & ":"& Format(lMin,"00") & ":" & Format(lSec,"00"),  0, "The time is"
    End Sub

The Timer function measures time in seconds. To measure time in milliseconds use the Timer service available in the ScriptForge library.

Närliggande ämnen

ScriptForge.Timer service